Name:          softhsm
Version:       2.6.1
Release:       1mamba
Summary:       Software PKCS#11 store
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.softhsm.org/
Source:        https://github.com/opendnssec/SoftHSMv2.git/%{version}/SoftHSMv2-%{version}.tar.bz2
Patch0:        softhsm-2.6.1-openssl-test.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libopenssl-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
SoftHSM is a software PKCS#11 store.

%debug_package

%prep
%setup -q -n SoftHSMv2-%{version}
%patch 0 -p1 -b .openssl-test

%build
%cmake \
   -DENABLE_GOST=OFF

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/softhsm2.conf
%{_sysconfdir}/softhsm2.conf.sample
%{_bindir}/softhsm2-dump-file
%{_bindir}/softhsm2-keyconv
%{_bindir}/softhsm2-util
%dir %{_libdir}/softhsm
%{_libdir}/softhsm/libsofthsm2.a
%{_libdir}/softhsm/libsofthsm2.so
%{_mandir}/man1/softhsm2-dump-file.1*
%{_mandir}/man1/softhsm2-keyconv.1*
%{_mandir}/man1/softhsm2-util.1*
%{_mandir}/man5/softhsm2.conf.5*
%{_datadir}/p11-kit/modules/softhsm2.module
%doc LICENSE

%changelog
* Mon Feb 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.1-1mamba
- package created using the webbuild interface
